## petri-foo 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

if (COMMAND CMAKE_POLICY)
  cmake_policy (SET CMP0011 NEW)
endif (COMMAND CMAKE_POLICY)

project(Petri-Foo)

set(Petri-Foo_VERSION_MAJOR 1)
set(Petri-Foo_VERSION_MINOR 5)
set(BINDIR  "bin" CACHE STRING "Where to install binaries")
set(DATADIR "share/petri-foo" CACHE STRING "Where to install data files")
set(APPLICATIONS_DIR "share/applications" CACHE STRING "Where to install desktop files")
set(PIXMAPS_DIR "share/pixmaps" CACHE STRING "Where to install icons")
set(MIME_DIR "share/mime" CACHE STRING "Where MIME definitions are located")
set(UpdateMime "ON" CACHE BOOL "Update Mime Database")

set(ARCHIVE_NAME petri-foo-0.${Petri-Foo_VERSION_MAJOR}.${Petri-Foo_VERSION_MINOR})

include (CheckCSourceCompiles)

mark_as_advanced(EXECUTABLE_OUTPUT_PATH)
mark_as_advanced(LIBRARY_OUTPUT_PATH)
mark_as_advanced(CMAKE_BUILD_TYPE)
mark_as_advanced(CMAKE_INSTALL_PREFIX)

option (BuildForDebug "Include gdb debugging support" OFF)
option (GtkDeprecatedChecks "Check against use of API deprecated in GTK3" OFF)

# DEBUG
set (BuildOptionsDebug "-O0 -ggdb" CACHE STRING "Debug build flags")

# RELEASE
set (BuildOptionsRelease "-O2" CACHE STRING "Release build flags")

# additional compiler flags
add_definitions(-Wall -Wextra)

if (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Debug")
    set (DEBUG 1)
    set (CMAKE_C_FLAGS_DEBUG ${BuildOptionsDebug})
    message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_C_FLAGS_DEBUG}")
else (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Release")
    set (DEBUG 0)
    set (CMAKE_C_FLAGS_RELEASE ${BuildOptionsRelease})
    message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_C_FLAGS_RELEASE}")
endif (BuildForDebug)

if (GtkDeprecatedChecks)
    add_definitions(-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DGTK_DISABLE_SINGLE_INCLUDES)
endif (GtkDeprecatedChecks)

# PKG-CONFIG
find_package(PkgConfig REQUIRED)
if(PKG_CONFIG_FOUND)
    message(STATUS "Found pkg-config ${PKG_CONFIG_EXECUTABLE}")
else(PKG_CONFIG_FOUND)
    message(FATAL_ERROR "pkg-config required but not found")
endif(PKG_CONFIG_FOUND)


# JACK
pkg_check_modules(JACK REQUIRED jack>=0.120.0)
if (JACK_FOUND)
  message(STATUS "Found jack ${JACK_VERSION}")
else (JACK_FOUND)
  message(FATAL_ERROR "Jack >= 0.120.0 not found.")
endif (JACK_FOUND)


# ALSA
pkg_check_modules(ALSA REQUIRED alsa>=1.0.17)
if (ALSA_FOUND)
  message(STATUS "Found alsa ${ALSA_VERSION}")
else (ALSA_FOUND)
  message(FATAL_ERROR "alsa not found.")
endif (ALSA_FOUND)


# SNDFILE
pkg_check_modules (SNDFILE REQUIRED sndfile)
if (SNDFILE_FOUND)
    message(STATUS "Found sndfile ${SNDFILE_VERSION}")
else (SNDFILE_FOUND)
    message(FATAL_ERROR "sndfile not found")
endif (SNDFILE_FOUND)


# SAMPLERATE
pkg_check_modules (SAMPLERATE REQUIRED samplerate)
if (SAMPLERATE_FOUND)
    message(STATUS "Found secret rabbit code ${SAMPLERATE_VERSION}")
else (SAMPLERATE_FOUND)
    message(FATAL_ERROR "secret rabbit code not found")
endif (SAMPLERATE_FOUND)


# GLIB2
pkg_check_modules (GLIB2 REQUIRED glib-2.0>=2.16)
if (GLIB2_FOUND)
  message(STATUS "Found glib2 ${GLIB2_VERSION}")
else (GLIB2_FOUND)
  message(FATAL_ERROR "glib2 was not found.")
endif (GLIB2_FOUND)


# GTK2
pkg_check_modules (GTK2 REQUIRED gtk+-2.0)
if(GTK2_FOUND)
    message(STATUS "Found gtk2 ${GTK2_VERSION}")
else(GTK2_FOUND)
    message(FATAL_ERROR "gtk2 required but not found")
endif(GTK2_FOUND)


# LIBGNOMECANVAS2
pkg_check_modules (LIBGNOMECANVAS2 REQUIRED libgnomecanvas-2.0)
if (LIBGNOMECANVAS2_FOUND)
  message(STATUS "Found libgnomecanvas2 ${LIBGNOMECANVAS2_VERSION}")
else (LIBGNOMECANVAS2_FOUND)
  message(FATAL_ERROR "libgnomecanvas2 was not found.")
endif (LIBGNOMECANVAS2_FOUND)


# LIBXML2
pkg_check_modules (LIBXML2 REQUIRED libxml-2.0)
if (LIBXML2_FOUND)
    message(STATUS "Found libxml2 ${LIBXML2_VERSION}")
else (LIBXML2_FOUND)
    message(FATAL_ERROR "libxml2 was not found")
endif (LIBXML2_FOUND)

# Check for CAIRO_OPERATOR_HSL_LUMINOSITY
check_c_source_compiles (
    "#include <cairo/cairo.h>
    int main(int argc, char **argv)
    {
        cairo_operator_t op = CAIRO_OPERATOR_HSL_LUMINOSITY;
        return 0;
    }" HasCairoOperatorHSL
)

if (HasCairoOperatorHSL)
    add_definitions (-DCAIRO_HAS_OPERATOR_HSL)
endif (HasCairoOperatorHSL)

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILES (jack/session.h HAVE_JACK_SESSION_H)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
                ${CMAKE_CURRENT_SOURCE_DIR}/config.h )

link_libraries(m)

include_directories ( . )

# Install targets

ADD_SUBDIRECTORY( libpetrifoo )
ADD_SUBDIRECTORY( libpetrifui )
ADD_SUBDIRECTORY( libphin )
ADD_SUBDIRECTORY( gui )


if (BuildForDebug)
    if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
        message( STATUS "Will build sandbox test target" )
        ADD_SUBDIRECTORY( sandbox )
    endif (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
endif (BuildForDebug)

#ADD_SUBDIRECTORY( pixmaps )

install (DIRECTORY pixmaps/ DESTINATION ${DATADIR}/pixmaps
          FILES_MATCHING PATTERN "*.png")
install (FILES petri-foo.xml DESTINATION ${MIME_DIR}/packages)
install (FILES pixmaps/petri-foo.png DESTINATION ${PIXMAPS_DIR})
install (FILES petri-foo.desktop DESTINATION ${APPLICATIONS_DIR})

if (UpdateMime)
    install (CODE
        "EXEC_PROGRAM ( \"update-mime-database ${CMAKE_INSTALL_PREFIX}/${MIME_DIR}\" ) "
    )
endif (UpdateMime)

add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== gui/CMakeLists.txt ===
file (GLOB PETRI_FOO_SOURCES *.c)

include_directories (
    ${Petri-Foo_SOURCE_DIR}/libpetrifoo
    ${Petri-Foo_SOURCE_DIR}/libpetrifui
    ${Petri-Foo_SOURCE_DIR}/libphin
    ${GTK2_INCLUDE_DIRS}
    ${LIBGNOMECANVAS2_INCLUDE_DIRS}
    ${LIBXML2_INCLUDE_DIRS}
    )

link_directories (
    ${GTK2_LIBRARY_DIRS}
    )

add_definitions (
    ${GTK2_CFLAGS_OTHER}
    )

add_executable(petri-foo ${PETRI_FOO_SOURCES})


target_link_Libraries(petri-foo petrifoo petrifui pthread phin )

install (TARGETS petri-foo DESTINATION ${BINDIR})

=== libpetrifoo/CMakeLists.txt ===
include_directories ( . .. )

ADD_SUBDIRECTORY( patch_private )

file (GLOB LIBPETRIFOO_SOURCES *.c)

add_library( petrifoo ${LIBPETRIFOO_SOURCES})

target_link_Libraries(  petrifoo patch_private
                        ${JACK_LIBRARIES}
                        ${SNDFILE_LIBRARIES}
                        ${ALSA_LIBRARIES}
                        ${SAMPLERATE_LIBRARIES}
                    )

=== libpetrifui/CMakeLists.txt ===

file (GLOB LIBPETRIFUI_SOURCES *.c)

include_directories (
    ${Petri-Foo_SOURCE_DIR}/libpetrifoo
    ${LIBXML2_INCLUDE_DIRS}
    )

link_directories (
    ${LIBXML2_LIBRARY_DIRS}
    )

add_definitions (
    ${LIBXML2_CFLAGS_OTHER}
    )

add_library( petrifui ${LIBPETRIFUI_SOURCES})

target_link_Libraries(  petrifui
                        petrifoo
                        ${LIBXML2_LIBRARIES}
                    )

=== libphin/CMakeLists.txt ===
file (GLOB LIBPHIN_SOURCES *.c)

include_directories (
    ${GTK2_INCLUDE_DIRS}
    ${LIBGNOMECANVAS2_INCLUDE_DIRS}
    )

link_directories (
    ${GTK2_LIBRARY_DIRS}
    ${LIBGNOMECANVAS2_LIBRARY_DIRS}
    )

add_definitions (
    ${GTK2_CFLAGS_OTHER}
    ${LIBGNOMECANVAS2_CFLAGS_OTHER}
    )

add_library( phin STATIC ${LIBPHIN_SOURCES})
SET(CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")

target_link_Libraries(phin ${GTK2_LIBRARIES} ${LIBGNOMECANVAS2_LIBRARIES})

=== libpetrifoo/patch_private/CMakeLists.txt ===
file (GLOB LIBPATCHPRIVATE_SOURCES *.c)
add_library( patch_private ${LIBPATCHPRIVATE_SOURCES})

## petri-foo 0.0.2+20110630.gitb083f60

=== debian/changelog ===
petri-foo (0.0.2+20110630.gitb083f60-1) unstable; urgency=low

  * Initial release. (Closes: #620362)

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Jul 2011 11:30:50 +0200

=== debian/control ===
Source: petri-foo
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 autoconf-archive,
 libphat-dev (>= 0.3.1),
 libgtk2.0-dev (>= 2.4.13),
 libjack-dev,
 libsamplerate0-dev (>= 0.1.1),
 libxml2-dev (>= 2.6.11),
 libsndfile1-dev (>= 1.0.10),
 libasound2-dev (>= 1.0.8),
 libgnomecanvas2-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/petri-foo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/petri-foo.git
Homepage: http://petri-foo.sourceforge.net/

Package: petri-foo
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI controllable audio sampler - successor of specimen
 A simple but very useful midi controlled sampler for ALSA/JACK featuring:
  * 64 notes of polyphony, spread across up to 64 patches.
  * fast, high quality pitch scaling, linear ADSR volume envelopes.
  * low pass filter with resonance; a variety of direction-independent.
  * playback modes and zoomable sample editor for loop and play points.
 .
 Petri-Foo is a fork of the Specimen Sampler project.

Package: petri-foo-dbg
Architecture: any
Section: debug
Priority: extra
Depends: petri-foo (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for petri-foo
 A simple but very useful midi controlled sampler for ALSA/JACK featuring:
  * 64 notes of polyphony, spread across up to 64 patches.
  * fast, high quality pitch scaling, linear ADSR volume envelopes.
  * low pass filter with resonance; a variety of direction-independent.
  * playback modes and zoomable sample editor for loop and play points.
 .
 Petri-Foo is a fork of the Specimen Sampler project.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf

override_dh_strip:
	dh_strip --dbg-package=petri-foo-dbg

=== debian/watch ===
version=3
http://sf.net/petri-foo/petri-foo-([\d.]+)\.tar\.gz

## petri-foo 0.1.5

=== debian/changelog ===
petri-foo (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 29 Jun 2012 00:43:55 +0200

petri-foo (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file.
  * Removed patches apllied upstream. 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 27 Jun 2012 14:50:35 +0200

petri-foo (0.1.3-2) unstable; urgency=low

  * Set compat to 9 and tune debhelper version
    to fortify hardening with cmake.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 23 Jun 2012 11:29:43 +0200

petri-foo (0.1.3-1) unstable; urgency=low

  * Imported Upstream version 0.1.3
  * Removing libphat from build dependencies
  * Removing encoding entry from desktop file
  * Spelling patch added
  * Using upstream destop file and icon
  * Using xpm icon by menu file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jun 2012 18:18:24 +0200

petri-foo (0.0.2+20120606.gitd2f92c9-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added icon entry to menu file
  * Little fix in  menu file
  * Imported Upstream version 0.0.2+20120606.gitd2f92c9
  * Bump Standards
  * Copyright updated to format 1.0

  [ Alessio Treglia ]
  * Buildsystem has changed from autoconf to cmake.
  * Fix headers lookup to prevent FTBFS.
  * Small fix to debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Jun 2012 17:46:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,30 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~),
- dh-autoreconf,
- autoconf-archive,
- libphat-dev (>= 0.3.1),
+Build-Depends:
+ cmake,
+ debhelper (>= 9.20120417~),
+ libasound2-dev (>= 1.0.8),
+ libgnomecanvas2-dev,
  libgtk2.0-dev (>= 2.4.13),
  libjack-dev,
  libsamplerate0-dev (>= 0.1.1),
- libxml2-dev (>= 2.6.11),
  libsndfile1-dev (>= 1.0.10),
- libasound2-dev (>= 1.0.8),
- libgnomecanvas2-dev
-Standards-Version: 3.9.2
+ libxml2-dev (>= 2.6.11)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/petri-foo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/petri-foo.git
 Homepage: http://petri-foo.sourceforge.net/
 
 Package: petri-foo
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: MIDI controllable audio sampler - successor of specimen
  A simple but very useful midi controlled sampler for ALSA/JACK featuring:
   * 64 notes of polyphony, spread across up to 64 patches.
@@ -38,7 +39,8 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: petri-foo (= ${binary:Version}),
+Depends:
+ petri-foo (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for petri-foo
  A simple but very useful midi controlled sampler for ALSA/JACK featuring:

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=petri-foo-dbg

## petri-foo 0.1.87

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(Petri-Foo)
 
 set(Petri-Foo_VERSION_MAJOR 1)
-set(Petri-Foo_VERSION_MINOR 5)
+set(Petri-Foo_VERSION_MINOR 87)
 set(BINDIR  "bin" CACHE STRING "Where to install binaries")
 set(DATADIR "share/petri-foo" CACHE STRING "Where to install data files")
 set(APPLICATIONS_DIR "share/applications" CACHE STRING "Where to install desktop files")
@@ -17,7 +17,14 @@
 
 set(ARCHIVE_NAME petri-foo-0.${Petri-Foo_VERSION_MAJOR}.${Petri-Foo_VERSION_MINOR})
 
+# two #defines to aid stripping path info from debug message output:
+# see config.h.in
+set(SRC_DIR $PROJECT_SOURCE_DIR)
+string( LENGTH "${PROJECT_SOURCE_DIR}" SRC_DIR_STRLEN)
+
 include (CheckCSourceCompiles)
+INCLUDE (CheckIncludeFiles)
+
 
 mark_as_advanced(EXECUTABLE_OUTPUT_PATH)
 mark_as_advanced(LIBRARY_OUTPUT_PATH)
@@ -26,6 +33,11 @@
 
 option (BuildForDebug "Include gdb debugging support" OFF)
 option (GtkDeprecatedChecks "Check against use of API deprecated in GTK3" OFF)
+
+if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
+    option (BuildSandbox "Build sandbox test code " OFF)
+endif (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
+ 
 
 # DEBUG
 set (BuildOptionsDebug "-O0 -ggdb" CACHE STRING "Debug build flags")
@@ -49,16 +61,17 @@
 endif (BuildForDebug)
 
 if (GtkDeprecatedChecks)
-    add_definitions(-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DGTK_DISABLE_SINGLE_INCLUDES)
+    add_definitions(
+        -DGDK_PIXBUF_DISABLE_DEPRECATED
+        -DGTK_DISABLE_DEPRECATED
+        -DGDK_DISABLE_DEPRECATED
+        -DGSEAL_ENABLE
+        -DGTK_DISABLE_SINGLE_INCLUDES)
+    message (STATUS "Building with GTK_DISABLE_DEPRECATED...")
 endif (GtkDeprecatedChecks)
 
-# PKG-CONFIG
-find_package(PkgConfig REQUIRED)
-if(PKG_CONFIG_FOUND)
-    message(STATUS "Found pkg-config ${PKG_CONFIG_EXECUTABLE}")
-else(PKG_CONFIG_FOUND)
-    message(FATAL_ERROR "pkg-config required but not found")
-endif(PKG_CONFIG_FOUND)
+
+include(FindPkgConfig)
 
 
 # JACK
@@ -70,13 +83,7 @@
 endif (JACK_FOUND)
 
 
-# ALSA
-pkg_check_modules(ALSA REQUIRED alsa>=1.0.17)
-if (ALSA_FOUND)
-  message(STATUS "Found alsa ${ALSA_VERSION}")
-else (ALSA_FOUND)
-  message(FATAL_ERROR "alsa not found.")
-endif (ALSA_FOUND)
+include (FindALSA)
 
 
 # SNDFILE
@@ -106,13 +113,7 @@
 endif (GLIB2_FOUND)
 
 
-# GTK2
-pkg_check_modules (GTK2 REQUIRED gtk+-2.0)
-if(GTK2_FOUND)
-    message(STATUS "Found gtk2 ${GTK2_VERSION}")
-else(GTK2_FOUND)
-    message(FATAL_ERROR "gtk2 required but not found")
-endif(GTK2_FOUND)
+include(FindGTK2)
 
 
 # LIBGNOMECANVAS2
@@ -124,13 +125,22 @@
 endif (LIBGNOMECANVAS2_FOUND)
 
 
-# LIBXML2
-pkg_check_modules (LIBXML2 REQUIRED libxml-2.0)
-if (LIBXML2_FOUND)
-    message(STATUS "Found libxml2 ${LIBXML2_VERSION}")
-else (LIBXML2_FOUND)
-    message(FATAL_ERROR "libxml2 was not found")
-endif (LIBXML2_FOUND)
+include(FindLibXml2)
+
+
+# LIBLO
+pkg_check_modules (LIBLO liblo>=0.26)
+if (LIBLO_FOUND)
+    message(STATUS "Found liblo ${LIBLO_VERSION}, support for NSM will be built")
+    set (HAVE_LIBLO 1)
+else (LIBLO_FOUND)
+    message(STATUS "liblo was not found, support for NSM will not be built")
+    set (HAVE_LIBLO 0)
+endif (LIBLO_FOUND)
+
+
+include(FindOpenSSL)
+
 
 # Check for CAIRO_OPERATOR_HSL_LUMINOSITY
 check_c_source_compiles (
@@ -139,20 +149,16 @@
     {
         cairo_operator_t op = CAIRO_OPERATOR_HSL_LUMINOSITY;
         return 0;
-    }" HasCairoOperatorHSL
+    }" HAVE_CAIRO_OPERATOR_HSL
 )
 
-if (HasCairoOperatorHSL)
-    add_definitions (-DCAIRO_HAS_OPERATOR_HSL)
-endif (HasCairoOperatorHSL)
-
-INCLUDE (CheckIncludeFiles)
 CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)
 CHECK_INCLUDE_FILES (jack/session.h HAVE_JACK_SESSION_H)
 CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/config.h )
 
-link_libraries(m)
+link_libraries(m ${LIBLO_LIBRARIES})
+
 
 include_directories ( . )
 
@@ -164,12 +170,12 @@
 ADD_SUBDIRECTORY( gui )
 
 
-if (BuildForDebug)
+if (BuildSandbox)
     if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
         message( STATUS "Will build sandbox test target" )
         ADD_SUBDIRECTORY( sandbox )
     endif (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
-endif (BuildForDebug)
+endif (BuildSandbox)
 
 #ADD_SUBDIRECTORY( pixmaps )

=== gui/CMakeLists.txt ===
file (GLOB PETRI_FOO_SOURCES *.c)

include_directories (
    ${Petri-Foo_SOURCE_DIR}/libpetrifoo
    ${Petri-Foo_SOURCE_DIR}/libpetrifui
    ${Petri-Foo_SOURCE_DIR}/libphin
    ${GTK2_INCLUDE_DIRS}
    ${LIBGNOMECANVAS2_INCLUDE_DIRS}
    ${LIBXML2_INCLUDE_DIR}
    )

add_executable(petri-foo ${PETRI_FOO_SOURCES})

target_link_Libraries(petri-foo petrifoo petrifui pthread phin ${LIBLO_LIBRARIES})

install (TARGETS petri-foo DESTINATION ${BINDIR})

=== libpetrifoo/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 ADD_SUBDIRECTORY( patch_private )
 
 file (GLOB LIBPETRIFOO_SOURCES *.c)
+
+include_directories(
+    ${ALSA_INCLUDE_DIRS}
+    )
 
 add_library( petrifoo ${LIBPETRIFOO_SOURCES})

=== libpetrifui/CMakeLists.txt ===

file (GLOB LIBPETRIFUI_SOURCES *.c)

include_directories (
    ${Petri-Foo_SOURCE_DIR}/libpetrifoo
    ${LIBXML2_INCLUDE_DIR}
    ${OPENSSL_INCLUDE_DIR}
    )


add_definitions (
    ${LIBXML2_DEFINITIONS}
    )

add_library( petrifui ${LIBPETRIFUI_SOURCES})

target_link_Libraries(  petrifui
                        petrifoo
                        ${LIBXML2_LIBRARIES}
                        ${OPENSSL_LIBRARIES}
                    )

=== libphin/CMakeLists.txt ===
file (GLOB LIBPHIN_SOURCES *.c)

include_directories (
    ${GTK2_INCLUDE_DIRS}
    ${LIBGNOMECANVAS2_INCLUDE_DIRS}
    )


add_library( phin STATIC ${LIBPHIN_SOURCES})

SET(CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")

target_link_Libraries(phin ${GTK2_LIBRARIES} ${LIBGNOMECANVAS2_LIBRARIES})

=== debian/changelog ===
petri-foo (0.1.87-4build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:44 +0000

petri-foo (0.1.87-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Add lintian-overrides file.
  * Drop menu file.
  * Add exec-code to desktop file.
  * Add spelling patch.
  * Fix copyright file.
  * Not install xpm icon.
  * Drop dbg package in favour of dbgsym.
  * Tune .gitignore file.
  * Install png icons.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Dec 2016 16:09:46 +0100

petri-foo (0.1.87-3) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove DM-Upload-Allowed field, not needed anymore.

  [ Jaromír Mikeš ]
  * Bump Standards.
  * Update VCS urls.
  * Added Keywords to desktop file.
  * Update copyright file.
  * Install specimen2petri-foo files.
  * Introducing README.Debian file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Jun 2014 16:15:22 +0200

petri-foo (0.1.87-2) unstable; urgency=low

  * Removed lintian.overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 04 Sep 2012 18:20:15 +0200

petri-foo (0.1.87-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * liblo-dev added as build dependency.
  * libssl-dev added as build dependency.
  * Added lintian.overrides file.

  [ Alessio Treglia ]
  * Pass LDFLAGS to cmake.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 01 Sep 2012 21:51:36 +0200

=== debian/control ===
Source: petri-foo
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libasound2-dev (>= 1.0.8),
 libgnomecanvas2-dev,
 libgtk2.0-dev (>= 2.4.13),
 libjack-dev,
 libsamplerate0-dev (>= 0.1.1),
 libsndfile1-dev (>= 1.0.10),
 libxml2-dev (>= 2.6.11),
 liblo-dev (>= 0.26~repack),
 libssl-dev,
 imagemagick
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/petri-foo.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/petri-foo.git
Homepage: http://petri-foo.sourceforge.net/

Package: petri-foo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI controllable audio sampler - successor of specimen
 A simple but very useful midi controlled sampler for ALSA/JACK featuring:
  * 64 notes of polyphony, spread across up to 64 patches.
  * fast, high quality pitch scaling, linear ADSR volume envelopes.
  * low pass filter with resonance; a variety of direction-independent.
  * playback modes and zoomable sample editor for loop and play points.
 .
 Petri-Foo is a fork of the Specimen Sampler project.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DESTDIR = debian/tmp

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -d $(CURDIR)/$(DESTDIR)/usr/share/doc/petri-foo/specimen2petri-foo/
	install -m 644 $(CURDIR)/debian/specimen2petri-foo/s2p* $(CURDIR)/$(DESTDIR)/usr/share/doc/petri-foo/specimen2petri-foo/
	install -m 644 $(CURDIR)/debian/specimen2petri-foo/Readme $(CURDIR)/$(DESTDIR)/usr/share/doc/petri-foo/specimen2petri-foo/
	install -d $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	install -d $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/
	rm -Rf $(CURDIR)/$(DESTDIR)/usr/share/pixmaps/
	cp $(CURDIR)/pixmaps/petri-foo_small.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/petri-foo.png
	cp $(CURDIR)/pixmaps/petri-foo.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/petri-foo.png
	convert -resize 48x48! $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/petri-foo.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/petri-foo.png
	convert -resize 256x256! $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/petri-foo.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/petri-foo.png
